Subject: Re: [Fwd: I-D Action: draft-ietf-6man-uri-zoneid-02.txt]
From: Juergen Schoenwaelder <[email-masked]>
To: Brian E Carpenter <[email-masked]>
Cc: [email-masked]
Date: Mon, 16 Jul 2012 13:07:37 +0200
List-Id: "IPv6 Maintenance Working Group \(6man\)" <ipv6.ietf.org>

On Mon, Jul 16, 2012 at 11:51:13AM +0100, Brian E Carpenter wrote:
 
> > RFC 6021 clearly uses a textual format on the wire.
> 
> Yes, but there's a problem IMHO. 6021 says:
> 
> "  The canonical format for the zone index is
>    the numerical format as described in RFC 4007, Section
>    11.2."
> 
> That implies that 4007 does truly define a canonical format; but it
> doesn't. It says that a host SHOULD support numerical indices and
> MAY support other kinds of implementation-depedent non-null strings.
> That's underspecified when it comes to mapping into a strictly defined
> format such as a URI or yang. And (as in the SNMP case) the ASCII string
> is completely meaningless outside the originating host. "1" might not
> even refer to interface 1, as far as I can see.

Whatever other problems there might be, the typedef uses "%" on the
wire - thats the point I was trying to make. Anyway, the intended
reading of this text was:

  The canonical format for the zone index _in this typedef_ is
  the numerical format as described in RFC 4007, Section 11.2.

That is the "canonical" applies to the YANG typedef, not to RFC 4007
(but we use the RFC 4007 SHOULD format as the canonical format.

/js

-- 
Juergen Schoenwaelder           Jacobs University Bremen gGmbH
Phone: +49 421 200 3587         Campus Ring 1, 28759 Bremen, Germany
Fax:   +49 421 200 3103         <http://www.jacobs-university.de/>